Name:           ongres-stringprep
Version:        2.2
Release:        %mkrel 2
Group:          Development/Java
Summary:        RFC 3454 Preparation of Internationalized Strings in pure Java
License:        BSD-2-Clause
URL:            https://github.com/ongres/stringprep
Source0:        https://github.com/ongres/stringprep/archive/%{version}/stringprep-%{version}.tar.gz
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:  mvn(org.junit.jupiter:junit-jupiter)

%description
The stringprep protocol does not stand on its own; it has to be used by other
protocols at precisely-defined places in those other protocols.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}

%prep
%autosetup -p1 -n "stringprep-%{version}"
find \( -name '*.jar' -o -name '*.class' \) -delete

%pom_remove_dep org.junit:junit-bom parent

%pom_remove_plugin -r :maven-javadoc-plugin

# codegenerator is only needed at build time, and has extra dependencies
%mvn_package com.ongres.stringprep:codegenerator __noinstall

# codegen is only needed for specific build profile that we do not use
rm -r codegen

%pom_xpath_inject 'pom:plugin[pom:artifactId="maven-jar-plugin"]/pom:configuration/pom:archive' '
<manifestEntries>
  <Multi-Release>true</Multi-Release>
</manifestEntries>
' parent

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE



%changelog
* Tue Dec 24 2024 daviddavid <daviddavid> 2.2-2.mga10
+ Revision: 2129605
- Rebuilt for java-21-openjdk as system jdk

* Fri Aug 30 2024 daviddavid <daviddavid> 2.2-1.mga10
+ Revision: 2092272
- Update to upstream version 2.2

* Mon May 27 2024 daviddavid <daviddavid> 1.1-3.mga10
+ Revision: 2067929
- Move velocity-2 dependencies to codegenerator
- Rebuilt for java-21-openjdk as system jdk

* Fri Apr 01 2022 umeabot <umeabot> 1.1-2.mga9
+ Revision: 1839260
- Mageia 9 Mass Rebuild

* Fri Feb 26 2021 daviddavid <daviddavid> 1.1-1.mga9
+ Revision: 1691996
- mageiaify spec file
- imported package ongres-stringprep


* Fri Feb 12 2021 Ondrej Dubaj <odubaj@redhat.com> - 1.1-1
- initial rpm
